@echo off
REM Install script for Barracuda Network's Web Security Agent
REM version 4.2.4.47

set LOGFILE=c:\ocs\%date:~10,4%_%date:~4,2%_%date:~7,2%_ocs.log
set MSILOG=c:\ocs\%date:~10,4%_%date:~4,2%_%date:~7,2%_wsa-msi.log
set PWDIR=%~dp0
set MSICMD=
set CERTCMD=
set QUIET=NO

mkdir c:\ocs > nul 2>&1

REM ====================================================================
REM  check for any command line options
REM  use the /q option when run via OCS to put in quiet mode
REM ====================================================================
    set arg=%1
    if "%arg%" == "-q" (
       set QUIET=YES
    )

REM ====================================================================
REM Check if I am on a 64-bit machine or not.  On the 64-bit machines,
REM OCS runs in a 32-bit command prompt.  But I need the installer to 
REM via the 64-bit command prompt.
REM ====================================================================
if exist %WINDIR%\sysnative\cmd.exe (
	REM I am on a 64bit machine, running the 32bit command prompt
	set MSICMD=%WINDIR%\sysnative\msiexec.exe
	set CERTCMD=%WINDIR%\sysnative\certutil.exe
) ELSE (
	REM I must be on a 32bit machine, or already running at the 64bit
	REM command prompt
	set MSICMD=msiexec.exe
	set CERTCMD=certutil.exe
)

REM ====================================================================
REM    Uninstall the WSA
REM ====================================================================
echo [[ %DATE% %TIME% ]] Uninstalling Barracuda Web Security Agent >> %LOGFILE%
if exist c:\ocs\wsa_remove.log (
	del c:\ocs\wsa_remove.log >> %LOGFILE% 2>&1
	) 
cmd.exe /S /C "start /wait %MSICMD% /x {C890BEDB-C229-4C16-9DC4-5A7C28159346} /qn /L*v c:\ocs\wsa_remove.log" >> %LOGFILE% 2>&1

:: Check for "Windows Installer removed the product" in the MSI log file
find /C /I "Windows Installer removed the product" c:\ocs\wsa_remove.log >> %LOGFILE%
if %ERRORLEVEL% GEQ 1 (goto :failremove)

if not %QUIET% == YES echo Completed step 1 ...

REM ====================================================================
REM    Run the winsock fix 
REM    This should not be necessary any more - but running as a precation.
REM    Safe to run as long as it is run BEFORE the install of the WSA
REM ====================================================================
echo [[ %DATE% %TIME% ]] Running 'netsh i i r r' >> %LOGFILE%
netsh i i r r >> %LOGFILE% 2>&1
echo ------------------------------------------------ >> %LOGFILE% 2>&1

echo [[ %DATE% %TIME% ]] Running 'winsock reset' >> %LOGFILE%
netsh winsock reset >> %LOGFILE% 2>&1
echo ------------------------------------------------ >> %LOGFILE% 2>&1

echo [[ %DATE% %TIME% ]] Running 'netsh f r' >> %LOGFILE%
netsh f r >> %LOGFILE% 2>&1
echo ------------------------------------------------ >> %LOGFILE% 2>&1

if not %QUIET% == YES echo Completed step 2 ...

shutdown -r /t 00